You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 14 Next »


Changing JVM version

For the information on how to change the JVM version, please see https://www.nomagic.com/support/faq/java-virtual-machine-jvm/how-to-change-jvm-version

In the following table, please find the recommendations for the appropriate Java version for 2021x.

ProductVersionRecommended and included into installation files**
  • MagicDraw
  • Cameo Systems Modeler
  • Cameo Enterprise Architecture
  • Magic Software Architect
  • Magic Cyber Systems Engineer
  • Magic Systems of Systems Architect
2021x

OpenJDK 11.0.9* (for all OS)

  • Teamwork Cloud
2021x

OpenJDK 11.0.9*

Cassandra 3.11.x requires JDK 8 (either Oracle or Open JDK).

  • Cameo Collaborator for Teamwork Cloud
  • Web Application Platform
  • Resources
  • TWC Admin Console NG
2021x

OpenJDK 14.0.1*

*OpenJDK. Based on the testing results, we recommend using OpenJDK HotSpot by AdoptJdk.

**Java is included only into installation files for Windows. Linux installation files do not have built-in Java.


See the JVM recommendations for versions up to 19.0 SP1.

  • No labels